Subject: Pulseaudio doesn't export XDG_CONFIG_DIRS

From: John Kehayias <[email-masked]>
Date: Wed, 18 Aug 2021 05:07:11 +0000

Hello,

A minor bug: I think Pulseaudio should have XDG_CONFIG_DIRS as an exported search path, as it includes a desktop file in /etc/xdg/autostart. This would be used by e.g. starting just a window manager and using something like dex to run autostart programs. Of course there are other ways to do this, but especially if pulseaudio is not in the default user or system profile then XDG_CONFIG_DIRS will not include pulseaudio.

Are there any downsides to including XDG_CONFIG_DIRS in the pulseaudio package? I haven't run across any other packages falling into this case as well, but I wouldn't be surprised for anything that supplies an autostart .desktop file.

Thanks,
John